<?php
if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	
	$id = $_SESSION['id'];		
	require_once('wiras_php/wa_baza/wa_polacz.php');
	$zap = "Select * FROM ogloszenia ORDER BY nazwa ASC";
	$wynik_pobierz = mysqli_query($db, $zap);
	$wynik = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
	{
		$wynik[] = $wiersz;
	}
	$lr = count($wynik);
	//------------------------------
	
	//Asystenci
	$l_as = 0;
	$l_wol = 0;
	$t_asystent = array();
	$t_wolontariusz = array();
	$t_admin='';
	$d_admin='';
	for ($i=0; $i<$lr; $i++) {
		if ($wynik[$i][3]==2) {
			$t_asystent[0][$l_as]=$wynik[$i][2];
			$t_asystent[1][$l_as]=$wynik[$i][4];
			$t_asystent[2][$l_as]=$wynik[$i][5];
			$l_as++;
		}
		if ($wynik[$i][3]==1) {
			$t_wolontariusz[0][$l_wol]=$wynik[$i][2];
			$t_wolontariusz[1][$l_wol]=$wynik[$i][4];
			$t_wolontariusz[2][$l_wol]=$wynik[$i][5];
			$l_wol++;
		}
		if ($wynik[$i][3]==3) {
			$t_admin=$wynik[$i][4];
			$d_admin=$wynik[$i][5];
		}
	}
	echo '<style>';
		$strona = $_SESSION['strona'].'img/tla/pinezka1.png';
		echo '#box_signl, #box_signr { background: url('.$strona.');  }';
	echo '</style>';
?>
<div id="tab_tlo">
<h1 id="h3_tytul">TABLICA OGŁOSZEŃ<small> ważne informacje...</small></h1>  
<div id="taby">

    <a class="tab_link tab_link_wybrany" title="#tab1" href="#">Asystenci</a>
    <a class="tab_link" title="#tab2" href="#">Wolontariusze</a>
    <a class="tab_link" title="#tab3" href="#">Administrator</a>
	<a class="tab_link" title="#tab4" href="#">Różne</a>
	<a class="tab_link" title="#tab5" href="#">Informacje</a>
 
	<div class="clear">
    </div>
 
	<div id="tab1" class="tab_text tab_wybrany">
        <h1 id="h3_tytul">Ogłoszenia Asystentów</h1>
<?php
		$lra = count($t_asystent[0]);
		echo $lra;
		for ($i=0; $i<$lra; $i++) {
			echo '<div id="tresc_ogloszenia">';
				echo '<div id="box_signl">';
				echo '</div>';
				echo '<div id="box_signr">';
				echo '</div>';
				echo '<h1 id="h3_tytul" style="margin: 0;">'.$t_asystent[0][$i].'</h1><br />';
				echo $t_asystent[1][$i].'<br />';
				echo '<span style="color: #D00;">Ogłoszenie zostało dodane: '.$t_asystent[2][$i].'</span>';
			echo '</div>';
		}
?>

	</div>	
	<div id="tab2" class="tab_text">
        <h1 id="h3_tytul">Ogłoszenia Wolontariuszy</h1>
<?php
	$lrw = count($t_wolontariusz[0]);
	 if ($lrw>0) {
		for ($i=0; $i<$lrw; $i++) {
			echo '<div id="tresc_ogloszenia">';
				echo '<div id="box_signl">';
				echo '</div>';
				echo '<div id="box_signr">';
				echo '</div>';
				echo '<h1 id="h3_tytul" style="margin: 0;">'.$t_wolontariusz[0][$i].'</h1><br />';
				echo $t_wolontariusz[1][$i].'<br />';
				echo '<span style="color: #D00;">Ogłoszenie zostało dodane: '.$t_wolontariusz[2][$i].'</span>';
			echo '</div>';
		}
		 
	 } else {
		 echo '<div id="tresc_ogloszenia">';
		 echo '<div id="box_signl">';
		 echo '</div>';
		 echo '<div id="box_signr">';
		 echo '</div>';
		 echo '<h1 id="h3_tytul">Brak ogłoszeń</h1>';
		 echo '</div>';
	 }
?>
    </div>
	<div id="tab3" class="tab_text">
<?php
        echo '<div id="tresc_ogloszenia">';
		echo '<div id="box_signl">';
		echo '</div>';
		echo '<div id="box_signr">';
		echo '</div>';
		echo '<h1 id="h3_tytul">Ogłoszenie Administratora</h1><br />';

	echo $t_admin.'<br />';
	echo '<span style="color: #D00;">Ogłoszenie zostało dodane: '.$d_admin.'</span>';
?>		
		</div>
    </div>
	<div id="tab4" class="tab_text">
        <div id="tresc_ogloszenia" style="background-color: #E0F8D0; border: 1px ridge #CDA">
				<div id="box_signl">
				</div>
				<div id="box_signr">
				</div>
				<h1 id="h3_tytul" style="margin: 0;">Ogłoszenia różne</h1><br />
				Tu mogą pojawiać się ogłoszenia uczestników...<br />
				<span style="color: #D00;">Ogłoszenie zostało dodane: 2017-08-01 20:00:00</span>
			</div>
    </div>
	
	<div id="tab5" class="tab_text" style="background-color: #F0E8D0;">
        <div id="tresc_ogloszenia" style="background-color: #F0E8D0; border: 1px ridge #DCA">
			<div id="box_signl"></div>
			<div id="box_signr"></div>
				<h1 id="h3_tytul" style="margin: 0;">Informacje administratora</h1><br />
<?php
	$zap = "Select * FROM admin_info ORDER BY data DESC";
	$wynik_pobierz = mysqli_query($db, $zap);
	$wynik = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
	{
		$wynik[] = $wiersz;
	}
	$lr = count($wynik);
	if ($lr>0) {
		for ($i=0; $i<$lr; $i++) {
			echo $wynik[$i][1].'<br>';
			echo '<span style="color: #0BB; font-weight: bold;">Ogłoszenie zostało dodane: '.$wynik[$i][2].'</span>';
			echo '<br><b>--------------------------------------------------</b><br><br>';
		}
	} else {
		echo '<br>Brak informacji';
	}
?>
		</div>
    </div>
	
	
</div>
</div>
<script type="text/javascript">
$(document).ready(function(){
        $(".tab_wybrany").fadeIn();

        $(".tab_link").on("click", function(event){
            event.preventDefault();
            $(".tab_link_wybrany").removeClass("tab_link_wybrany");
            $(this).addClass("tab_link_wybrany");
            var container_id = $(this).attr("title");
			$('.tab_wybrany').animate({
					height: "toggle",
					opacity: "toggle"}, 
					{
					duration: 500,
					easing: 'easeOutBack',
					complete: function() {
						$(this).removeClass("tab_wybrany");
						$(container_id).addClass("tab_wybrany");
						$(".tab_wybrany").animate({
							height : "toggle", 
							opacity : "toggle"},
							{duration: 1000,
							easing: 'easeOutBounce',}
							);
					}});
        });
});
</script>